/*
	Wonder What Happens in...
	Tales of Monkey Island
	
	scripted by: Seg
*/

// VARS
var currentMovie = 0;
var fadeOutOps = 0.8;
var mouseOverTime = 250;
var movieData = {
	"0":{
		width:550,
		height:400,
		filename:"iwwh_cover.png",
		type:"images"
	},
	"1":{
		width:550,
		height:400,
		filename:"01narwhal.swf",
		type:"movies"
	},
	"2":{
		width:550,
		height:400,
		filename:"02spinnercay.swf",
		type:"movies"
	},
	"3":{
		width:768,
		height:432,
		filename:"03leviathan.swf",
		type:"movies"
	},
	"4":{
		width:768,
		height:432,
		filename:"04trial.swf",
		type:"movies"
	},
	"5":{
		width:768,
		height:432,
		filename:"05pirategod.swf",
		type:"movies"
	}
}

$(document).ready(function() {
	
	// Start with default display.
	mainProjector( currentMovie );
	
});

function mainProjector( target ) {
	
	debugOut( movieData[target]["filename"] );
	
	currentMovie = target;
	
	// Fade down all other episode buttons.
	for ( i=1 ; i < 6 ; i++ ) {
		if ( i != target ) {
			$("#button_"+i).fadeTo( 550 , fadeOutOps )
				.attr( "class" , "episodeSelected episodeClass");
		} else {
			$("#button_"+i).fadeTo( 250 , 1 )
				.attr( "class" , "episodeDefault episodeClass");
		}
	}
	
	// Switch stage with target SWF.
	if ( movieData[target]["type"] == "movies" ) {
		swfobject.embedSWF("movies/"+movieData[target]["filename"], "mainStage", movieData[target]["width"], movieData[target]["height"], "6.0.29" );
	} else {
		$("#mainStage").html('<img src="images/iwwh_cover.png" alt="" title="" border="0" class="titleImage" />');
	}
	
}

function debugOut( message , type ) {
	if ( typeof(console) != "undefined" ) {
		console.info( message );
	}
}
